Class | DateTime
In: | lib/json/add/date_time.rb
Parent: | Object

DateTime serialization/deserialization

### Methods

as_json json_create to_json

### External Aliases

sg | -> | start

### Public Class methods

json_create(object)

Deserializes JSON string by converting year `y`, month `m`, day `d`, hour `H`, minute `M`, second `S`, offset `of` and Day of Calendar Reform `sg` to DateTime.

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*args)

Stores class name (DateTime) with Julian year `y`, month `m`, day `d`, hour `H`, minute `M`, second `S`, offset `of` and Day of Calendar Reform `sg` as JSON string

[Validate]